## org.eclipse.datatools.modelbase.sql.schema.helper
Interface ISQLObjectNameHelper

All Known Implementing Classes:
  SQLObjectNameHelper

    public interface ISQLObjectNameHelper

This interface defines a name provider service for SQL Objects. The services provides names for SQL Model objects.

Method Summary
`java.lang.String` `getIdentifierQuoteString()` Gets the identifier quote string being used to delimit identifiers.
`java.lang.String` `getNameInSQLFormat(Column column)` Gets the name of the given column, delimited as needed to make it suitable for use in constructing an SQL statement.
`java.lang.String` `getNameInSQLFormat(Table table)` Gets the name of the given table, delimited as needed to make it suitable for use in constructing an SQL statement.
`java.lang.String` `getQualifiedNameInSQLFormat(Column column)` Gets the name of the given column, qualified with a table name and delimited as needed to make it suitable for use in constructing an SQL statement.
`java.lang.String` `getQualifiedNameInSQLFormat(Table table)` Gets the name of the given table, qualified with a schema name and delimited as needed to make it suitable for use in constructing an SQL statement.
`void` `setIdentifierQuoteString(java.lang.String quoteString)` Sets the identifier quote string to use to delimit identifiers.

Method Detail

### getNameInSQLFormat

    java.lang.String getNameInSQLFormat(Column column)

  Gets the name of the given column, delimited as needed to make it suitable for use in constructing an SQL statement.

  Parameters:
    `table` - the SQL Model column object for which the name is wanted
  Returns:
    the (possibly) delimited SQL format name of the column

### getNameInSQLFormat

    java.lang.String getNameInSQLFormat(Table table)

  Gets the name of the given table, delimited as needed to make it suitable for use in constructing an SQL statement.

  Parameters:
    `table` - the SQL Model table object for which the name is wanted
  Returns:
    the (possibly) delimited SQL format name of the table

### getQualifiedNameInSQLFormat

    java.lang.String getQualifiedNameInSQLFormat(Column column)

  Gets the name of the given column, qualified with a table name and delimited as needed to make it suitable for use in constructing an SQL statement.

  Parameters:
    `table` - the SQL Model table object for which the name is wanted
  Returns:
    the qualified and delimited name of the table

### getQualifiedNameInSQLFormat

    java.lang.String getQualifiedNameInSQLFormat(Table table)

  Gets the name of the given table, qualified with a schema name and delimited as needed to make it suitable for use in constructing an SQL statement.

  Parameters:
    `table` - the SQL Model table object for which the name is wanted
  Returns:
    the qualified and delimited name of the table

### getIdentifierQuoteString

    java.lang.String getIdentifierQuoteString()

  Gets the identifier quote string being used to delimit identifiers. The default is " (double-quote character).

  Returns:
    the current identifier quote string

### setIdentifierQuoteString

    void setIdentifierQuoteString(java.lang.String quoteString)

  Sets the identifier quote string to use to delimit identifiers.

  Parameters:
    `quoteString` - the identifier quote string to use